<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Plan_PostPago.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">plans</a> &gt; <span class="el_source">Plan_PostPago.java</span></div><h1>Plan_PostPago.java</h1><pre class="source lang-java linenums">package plans;

import java.io.Serializable;

<span class="fc" id="L5">public class Plan_PostPago implements IPlan,Serializable{</span>
	static final long serialVersionUID = -2555170365942325277L;
	private static final double UNIQUE_PRICE = 1;
	@Override
	public double calculateCost(String hour, String duration, int targetTelephone) {
		double cost;
<span class="fc" id="L11">		cost = betweenTime.convertHourToSeconds(duration) * (UNIQUE_PRICE/60);</span>
<span class="fc" id="L12">		cost = Math.round(cost * 100.0) / 100.0;</span>
<span class="fc" id="L13">		return cost;</span>
	}
	@Override
	public String getPlanType() {
<span class="fc" id="L17">		return &quot;PLAN_POSTPAGO&quot;;</span>
	}
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>